Add a sender identity
Durably creates a sender identity. View request and response details for this Samva email API endpoint.
Durably creates a sender identity. The required Idempotency-Key replays the original sender for an identical request and conflicts when reused with different input.
Authorization
apiKey x-api-key<token>
In: header
Header Parameters
idempotency-key*string
Length
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*string
domainId?|null
name?string|null|null
replyToEmails?array<string>|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/senders" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'{ "id": "string", "email": "string", "status": "pending", "providerLifecycle": "provisioning", "providerFailureCode": "string", "createdAt": "string"}